// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2010 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt


function flag = MY_assert_equal ( computed , expected )
  if computed==expected then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction

function checkassert ( flag , errmsg , ctype )
  if ( ctype == "success" ) then
    MY_assert_equal ( (flag==%t) & (errmsg==""), %t )
  else
    MY_assert_equal ( (flag==%f) & (errmsg<>""), %t )
  end
endfunction

format("v",10);

// Check error message when number of arguments is false
instr = "assert_false ( )";
ierr=execstr(instr,"errcatch");
MY_assert_equal ( ierr , 10000 );
//
instr = "[o1,o2,o3]=assert_false ( %f )";
ierr=execstr(instr,"errcatch");
MY_assert_equal ( ierr , 59 );
//////////////////////////////////////////
// Check error message when type of arguments is false
instr = "assert_false ( ""a"" )";
ierr=execstr(instr,"errcatch");
MY_assert_equal ( ierr , 10000 );
//
//
// Check that the error message is correctly handled.
instr = "assert_false ( [%f %t] )";
ierr=execstr(instr,"errcatch");
MY_assert_equal ( ierr , 10000 );
errmsg = lasterror();
MY_assert_equal ( errmsg , "assert_false: Assertion failed: found false entry in condition = [F ...]" );
//
[flag,errmsg] = assert_false ( %f );
checkassert ( flag , errmsg , "success" );
//
[flag,errmsg] = assert_false ( [%f %f] );
checkassert ( flag , errmsg , "success" );
//
[flag,errmsg] = assert_false ( %t );
checkassert ( flag , errmsg , "failure" );
//
[flag,errmsg] = assert_false ( [%t %f] );
checkassert ( flag , errmsg , "failure" );

